Debian Bug report logs - #532988
boa-constructor: "python: double free or corruption" when exiting

version graph

Package: boa-constructor; Maintainer for boa-constructor is Debian QA Group <packages@qa.debian.org>; Source for boa-constructor is src:boa-constructor.

Reported by: Sandro Tosi <morph@debian.org>

Date: Sat, 13 Jun 2009 13:39:02 UTC

Severity: important

Found in version boa-constructor/0.6.1-6

Fixed in version boa-constructor/0.6.1-7

Done: Luca Falavigna <dktrkranz@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://sourceforge.net/tracker/?func=detail&aid=2825234&group_id=1909&atid=101909

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Luca Falavigna <dktrkranz@ubuntu.com>:
Bug#532988; Package boa-constructor. (Sat, 13 Jun 2009 13:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
New Bug report received and forwarded. Copy sent to Luca Falavigna <dktrkranz@ubuntu.com>. (Sat, 13 Jun 2009 13:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: boa-constructor: "python: double free or corruption" when exiting
Date: Sat, 13 Jun 2009 15:36:38 +0200
Package: boa-constructor
Version: 0.6.1-6
Severity: important

Hello,
when exiting from boa-constructor I receive this backtrace:

*** glibc detected *** python: double free or corruption (!prev): 0x0000000004dae830 ***
======= Backtrace: =========
/lib/libc.so.6[0x7f60d02bd1b8]
/lib/libc.so.6(cfree+0x76)[0x7f60d02becf6]
/usr/lib/libwx_gtk2u_core-2.6.so.0(_ZN14wxBookCtrlBase10DeletePageEm+0x20)[0x7f60cea53750]
/usr/lib/libwx_gtk2u_core-2.6.so.0(_ZN10wxNotebook14DeleteAllPagesEv+0x29)[0x7f60cea3bf39]
/usr/lib/libwx_gtk2u_core-2.6.so.0(_ZN10wxNotebookD0Ev+0x1c)[0x7f60cea3ca6c]
/usr/lib/libwx_gtk2u_core-2.6.so.0(_ZN12wxWindowBase15DestroyChildrenEv+0x23)[0x7f60ceab3493]
/usr/lib/libwx_gtk2u_core-2.6.so.0(_ZN8wxWindowD2Ev+0x59)[0x7f60ce9e5ff9]
/usr/lib/libwx_gtk2u_core-2.6.so.0(_ZN16wxSplitterWindowD0Ev+0x49)[0x7f60cead9a09]
/usr/lib/libwx_gtk2u_core-2.6.so.0(_ZN12wxWindowBase15DestroyChildrenEv+0x23)[0x7f60ceab3493]
/usr/lib/libwx_gtk2u_core-2.6.so.0(_ZN8wxWindowD2Ev+0x59)[0x7f60ce9e5ff9]
/usr/lib/libwx_gtk2u_core-2.6.so.0(_ZN7wxFrameD0Ev+0x33)[0x7f60cea26a73]
/usr/lib/libwx_gtk2u_core-2.6.so.0(_ZN9wxAppBase20DeletePendingObjectsEv+0x27)[0x7f60cea50fb7]
/usr/lib/libwx_gtk2u_core-2.6.so.0(_ZN9wxAppBase6OnIdleER11wxIdleEvent+0x15)[0x7f60cea51005]
/usr/lib/libwx_baseu-2.6.so.0(_ZN12wxEvtHandler21ProcessEventIfMatchesERK21wxEventTableEntryBasePS_R7wxEvent+0x89)[0x7f60ce19c7e9]
/usr/lib/libwx_baseu-2.6.so.0(_ZN16wxEventHashTable11HandleEventER7wxEventP12wxEvtHandler+0xa4)[0x7f60ce19d964]
/usr/lib/libwx_baseu-2.6.so.0(_ZN12wxEvtHandler12ProcessEventER7wxEvent+0xc7)[0x7f60ce19da57]
/usr/lib/libwx_gtk2u_core-2.6.so.0(_ZN9wxAppBase11ProcessIdleEv+0x85)[0x7f60cea50e85]
/usr/lib/libwx_gtk2u_core-2.6.so.0[0x7f60ce9bc413]
/usr/lib/libglib-2.0.so.0(g_main_context_dispatch+0x24a)[0x7f60cbf87f7a]
/usr/lib/libglib-2.0.so.0[0x7f60cbf8b640]
/usr/lib/libglib-2.0.so.0(g_main_loop_run+0x1cd)[0x7f60cbf8bb0d]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xa7)[0x7f60cd4c3727]
/usr/lib/libwx_gtk2u_core-2.6.so.0(_ZN11wxEventLoop3RunEv+0x51)[0x7f60ce9d3891]
/usr/lib/libwx_gtk2u_core-2.6.so.0(_ZN9wxAppBase8MainLoopEv+0x4b)[0x7f60cea50dbb]
/usr/lib64/python2.5/site-packages/wx-2.6-gtk2-unicode/wx/_core_.so(_ZN7wxPyApp8MainLoopEv+0x37)[0x7f60cf7ddf17]
/usr/lib64/python2.5/site-packages/wx-2.6-gtk2-unicode/wx/_core_.so[0x7f60cf7fcb97]
python(PyObject_Call+0x13)[0x418843]
python(PyEval_EvalFrameEx+0x3787)[0x48fac7]
python(PyEval_EvalCodeEx+0x6ad)[0x4924cd]
python[0x4dc992]
python(PyObject_Call+0x13)[0x418843]
python[0x41f6e8]
python(PyObject_Call+0x13)[0x418843]
python(PyEval_EvalFrameEx+0x1d21)[0x48e061]
python(PyEval_EvalFrameEx+0x59a2)[0x491ce2]
python(PyEval_EvalCodeEx+0x6ad)[0x4924cd]
python(PyEval_EvalFrameEx+0x4bd8)[0x490f18]
python(PyEval_EvalCodeEx+0x6ad)[0x4924cd]
python(PyEval_EvalCode+0x32)[0x4926c2]
python(PyRun_FileExFlags+0x108)[0x4b2008]
python(PyRun_SimpleFileExFlags+0x1ab)[0x4b22ab]
python(Py_Main+0xac2)[0x414572]
/lib/libc.so.6(__libc_start_main+0xe6)[0x7f60d02695a6]
python[0x4139b9]
======= Memory map: ========
00400000-00524000 r-xp 00000000 fe:00 20972711                           /usr/bin/python2.5
00723000-00755000 rw-p 00123000 fe:00 20972711                           /usr/bin/python2.5
00755000-0075d000 rw-p 00755000 00:00 0 
02684000-0521b000 rw-p 02684000 00:00 0                                  [heap]
7f60b6ec0000-7f60b6ec6000 r-xp 00000000 fe:00 8471979                    /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so
7f60b6ec6000-7f60b70c6000 ---p 00006000 fe:00 8471979                    /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so
7f60b70c6000-7f60b70c7000 rw-p 00006000 fe:00 8471979                    /usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so
7f60b70c7000-7f60b70d6000 r-xp 00000000 fe:00 29365345                   /lib/libbz2.so.1.0.4
7f60b70d6000-7f60b72d5000 ---p 0000f000 fe:00 29365345                   /lib/libbz2.so.1.0.4
7f60b72d5000-7f60b72d7000 rw-p 0000e000 fe:00 29365345                   /lib/libbz2.so.1.0.4
7f60b72d7000-7f60b72e8000 r-xp 00000000 fe:00 54777193                   /usr/lib/gio/modules/libgioremote-volume-monitor.so
7f60b72e8000-7f60b74e7000 ---p 00011000 fe:00 54777193                   /usr/lib/gio/modules/libgioremote-volume-moni/usr/bin/boa-constructor: line 3: 20636 Aborted                 python /usr/share/boa-constructor/Boa.py

Regards,
Sandro

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.25-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages boa-constructor depends on:
ii  pychecker                    0.8.18-2    Finds common bugs in Python source
ii  python                       2.5.4-2     An interactive high-level object-o
ii  python-support               1.0.3       automated rebuilding support for P
ii  python-wxgtk2.6              2.6.3.2.2-3 wxWidgets Cross-platform C++ GUI t

boa-constructor recommends no packages.

boa-constructor suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#532988; Package boa-constructor. (Sat, 13 Jun 2009 16:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@ubuntu.com>:
Extra info received and forwarded to list. (Sat, 13 Jun 2009 16:30:07 GMT) Full text and rfc822 format available.

Message #10 received at 532988@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@ubuntu.com>
To: Sandro Tosi <morph@debian.org>, 532988@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#532988: boa-constructor: "python: double free or corruption" when exiting
Date: Sat, 13 Jun 2009 18:14:13 +0200
[Message part 1 (text/plain, inline)]
I'm unable to reproduce it on a i386 box and I have no access to an
amd64 machine. I'll try to ask a friend of mine to grant me access on
his box to start debugging it.

Thanks.

-- 
 . ''`.      Luca Falavigna
 : :'  :  Ubuntu MOTU Developer
 `. `'`     Debian Maintainer
   `-      GPG Key: 0x86BC2A50
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#532988; Package boa-constructor. (Sat, 13 Jun 2009 16:30:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@ubuntu.com>:
Extra info received and forwarded to list. (Sat, 13 Jun 2009 16:30:08 GMT) Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to https://sourceforge.net/tracker/?func=detail&aid=2825234&group_id=1909&atid=101909. Request was from Luca Falavigna <dktrkranz@ubuntu.com> to control@bugs.debian.org. (Wed, 22 Jul 2009 09:24:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from dktrkranz-guest@users.alioth.debian.org to control@bugs.debian.org. (Thu, 30 Jul 2009 20:51:02 GMT) Full text and rfc822 format available.

Reply sent to Luca Falavigna <dktrkranz@debian.org>:
You have taken responsibility. (Thu, 27 Aug 2009 18:27:18 GMT) Full text and rfc822 format available.

Notification sent to Sandro Tosi <morph@debian.org>:
Bug acknowledged by developer. (Thu, 27 Aug 2009 18:27:18 GMT) Full text and rfc822 format available.

Message #24 received at 532988-close@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: 532988-close@bugs.debian.org
Subject: Bug#532988: fixed in boa-constructor 0.6.1-7
Date: Thu, 27 Aug 2009 18:17:23 +0000
Source: boa-constructor
Source-Version: 0.6.1-7

We believe that the bug you reported is fixed in the latest version of
boa-constructor, which is due to be installed in the Debian FTP archive:

boa-constructor_0.6.1-7.diff.gz
  to pool/main/b/boa-constructor/boa-constructor_0.6.1-7.diff.gz
boa-constructor_0.6.1-7.dsc
  to pool/main/b/boa-constructor/boa-constructor_0.6.1-7.dsc
boa-constructor_0.6.1-7_all.deb
  to pool/main/b/boa-constructor/boa-constructor_0.6.1-7_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 532988@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luca Falavigna <dktrkranz@debian.org> (supplier of updated boa-constructor package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 27 Aug 2009 19:17:37 +0200
Source: boa-constructor
Binary: boa-constructor
Architecture: source all
Version: 0.6.1-7
Distribution: unstable
Urgency: low
Maintainer: Luca Falavigna <dktrkranz@debian.org>
Changed-By: Luca Falavigna <dktrkranz@debian.org>
Description: 
 boa-constructor - RAD tool for Python and wxWindows application
Closes: 532988
Changes: 
 boa-constructor (0.6.1-7) unstable; urgency=low
 .
   * Update my e-mail address.
   * Remove DM-Upload-Allowed field.
   * Switch to debhelper 7:
     - Bump compat level to 7.
     - Minimize debian/rules.
     - Build-Depend on debhelper (>= 7.0.50) and quilt (>= 0.46-7).
   * debian/patches/no_double_free.patch:
     - Do not attempt to free menu objects twice (Closes: #532988).
   * Depend on ${misc:Depends} to fix a lintian warning.
   * Bump Standards-Version to 3.8.3, no changes required.
   * Fix some wxWindows spelling errors in the description.
Checksums-Sha1: 
 8cc7ef828fc6b22b8853180215774d62dbe1728b 1422 boa-constructor_0.6.1-7.dsc
 5eaf8402024cca91af6e67c3be5ef8cb32331b06 9919 boa-constructor_0.6.1-7.diff.gz
 629468319c971fb8d9be7877ddd1181da9eb900f 13565118 boa-constructor_0.6.1-7_all.deb
Checksums-Sha256: 
 a0871a0062830adffd26d96d0075e90b711a84ecd981a31a00c78ba827413071 1422 boa-constructor_0.6.1-7.dsc
 c34a8221db1a7b533c8a215a406c28d61d18193ba6346e0a0c9d1d70bd306a69 9919 boa-constructor_0.6.1-7.diff.gz
 35f858bb6a2574f5630e4a74c7940370ddd07d8e82f17525550cf9401acaf249 13565118 boa-constructor_0.6.1-7_all.deb
Files: 
 83e5da4e9d9d84376b5ba21d4862971e 1422 devel optional boa-constructor_0.6.1-7.dsc
 9d0086f7a598c4800babca1ef461f643 9919 devel optional boa-constructor_0.6.1-7.diff.gz
 c7471f137f959afa5982c72ed5c94859 13565118 devel optional boa-constructor_0.6.1-7_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkqWwSsACgkQnXjXEYa8KlBJdACeNJvbfbWFauETDNvUHy6Q+uuS
FR8An3PoxwYnmzzfSOuppVtrYvgZOL5W
=axx5
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 05 Oct 2009 07:40:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 15:41:02 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.